KintsugiKintsugi
API reference / Upload exemption certificate

Upload exemption certificate

POST/v1/exemptions/{exemption_id}/attachments

The Upload Exemption Certificate API allows you to upload a file attachment (e.g., exemption certificate) for a specific exemption. This is primarily used to associate supporting documents with an exemption record to ensure compliance and facilitate verification.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

x-organization-idstringRequired

Identifies the organization this request acts on.

Path parameters

exemption_idstringRequired

The unique identifier for the exemption to which the attachment will be associated.

Response

related_entity_idstringRequired

The unique identifier of the exemption associated with the attachment.

related_entity_typeRelatedEntityTypeRequired

The type of entity associated with the attachment. In this case, it will always be EXEMPTION, REGISTRATION ,FILING, FILING_PAYMENT.

Available options:EXEMPTIONREGISTRATIONFILINGFILING_PAYMENT
idstringRequired

The unique identifier of the uploaded attachment (attachment ID).

200

Successfully retrieved exemption by id

401

The request is missing a valid x-api-key or x-organization-id

422

Validation issues, such as missing required fields or invalid field values.

500

Internal Server Error

cURL
POST /v1/exemptions/{exemption_id}/attachments
-H "x-api-key: ***"
-H "x-organization-id: ***"
Example request
https://api.trykintsugi.com/v1/exemptions/{exemption_id}/attachments
Response
{
"related_entity_id": "exmp_vtWfyrER36irA",
"related_entity_type": "EXEMPTION",
"id": "atch_ZgxKo5vffwyBB"
}